#ifndef GROUNDOBJECT_HPP_INCLUDED
#define GROUNDOBJECT_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>
#include "Renderable.hpp"

namespace Internal
{
    class GroundObject : public Object
    {
        public:
            GroundObject(const void* Obj);

            GroundObject() = default;
            GroundObject(GroundObject&& Obj) = default;
            GroundObject(const GroundObject& Obj) = default;
            GroundObject& operator=(GroundObject&& Obj) = default;
            GroundObject& operator=(const GroundObject& Obj) = default;

            static Class GetClass();

            std::int64_t GetHash() const;
            std::int32_t GetRenderInfo() const;
            Renderable GetRenderable() const;
            std::int32_t GetX() const;
            std::int32_t GetY() const;
            std::int32_t GetZ() const;

    };
}

#endif // GROUNDOBJECT_HPP_INCLUDED
